export interface AniListCurrentUserWatchList {
    data: Data
}

export interface Data {
    Page: Page
}

export interface Page {
    pageInfo: PageInfo
    mediaList: MediaList[]
}

export interface PageInfo {
    total: number
    perPage: number
    currentPage: number
    lastPage: number
    hasNextPage: boolean
}

export interface MediaList {
    id: number
    mediaId: number
    userId: number
    media: Media
    status: string
    notes?: string
    progress: number
    score: number
    repeat: number
    user: User
}

export interface Media {
    id: number
    idMal: number
    title: Title
    description: string
    coverImage: CoverImage
    season: string
    seasonYear: number
    status: string
    episodes?: number
    nextAiringEpisode?: NextAiringEpisode
}

export interface Title {
    romaji: string
    english?: string
    native: string
}

export interface CoverImage {
    large: string
}

export interface NextAiringEpisode {
    airingAt: number
    timeUntilAiring: number
    episode: number
}

export interface User {
    id: number
    name: string
    avatar: Avatar
    statistics: Statistics
}

export interface Avatar {
    large: string
    medium: string
}

export interface Statistics {
    anime: Anime
}

export interface Anime {
    count: number
    statuses: Status[]
}

export interface Status {
    status: string
    count: number
}
