export interface AniListItem {
    data: {
        Media: {
            id: number,
            idMal: number,
            title: {
                romaji: string,
                english: string,
            },
            description: string,
            coverImage: {
                medium: string,
                large: string,
                extraLarge: string,
                color: string,
            },
            tags: [{
                id: number,
                name: string,
                description: string,
                category: string,
                rank: number,
                isGeneralSpoiler: boolean,
                isMediaSpoiler: boolean,
                isAdult: boolean
            }]
        }
    }
}

export interface AniSearchList {
    data: {
        Page: {
            pageInfo: {
                total: number,
                currentPage: number,
                lastPage: number,
                hasNextPage: boolean,
                perPage: number
            },
            media: [{
                id: number,
                idMal: number,
                title: {
                    romaji: string,
                    english: string,
                    native: string,
                },
                coverImage: {
                    extraLarge: string,
                    color: string,
                },
            }],
        },
    }
}

export interface AniListUser {
    "data": {
        "Viewer": {
            id: number,
            name: string,
        }
    }
}

export enum MediaListSort {
    MediaId = "MEDIA_ID",
    MediaIdDesc = "MEDIA_ID_DESC",
    Score = "SCORE",
    ScoreDesc = "SCORE_DESC",
    Status = "STATUS",
    StatusDesc = "STATUS_DESC",
    Progress = "PROGRESS",
    ProgressDesc = "PROGRESS_DESC",
    ProgressVolumes = "PROGRESS_VOLUMES",
    ProgressVolumesDesc = "PROGRESS_VOLUMES_DESC",
    Repeat = "REPEAT",
    RepeatDesc = "REPEAT_DESC",
    Priority = "PRIORITY",
    PriorityDesc = "PRIORITY_DESC",
    StartedOn = "STARTED_ON",
    StartedOnDesc = "STARTED_ON_DESC",
    FinishedOn = "FINISHED_ON",
    FinishedOnDesc = "FINISHED_ON_DESC",
    AddedTime = "ADDED_TIME",
    AddedTimeDesc = "ADDED_TIME_DESC",
    UpdatedTime = "UPDATED_TIME",
    UpdatedTimeDesc = "UPDATED_TIME_DESC",
    MediaTitleRomaji = "MEDIA_TITLE_ROMAJI",
    MediaTitleRomajiDesc = "MEDIA_TITLE_ROMAJI_DESC",
    MediaTitleEnglish = "MEDIA_TITLE_ENGLISH",
    MediaTitleEnglishDesc = "MEDIA_TITLE_ENGLISH_DESC",
    MediaTitleNative = "MEDIA_TITLE_NATIVE",
    MediaTitleNativeDesc = "MEDIA_TITLE_NATIVE_DESC",
    MediaPopularity = "MEDIA_POPULARITY",
    MediaPopularityDesc = "MEDIA_POPULARITY_DESC"
}